Page MenuHomePhabricator

[Spike] How do we render contributors and images section of books accurately?
Closed, InvalidPublic

Description

Underneath the hood, the collections extension when generating a book will attempt to get all the images and contributors of the articles inside the book and create sections for them.

e.g. It will make a query akin to:
https://en.wikipedia.org/w/api.php?titles=Kitten|Planet|PHP|Dinosaurs|Main_Page&pclimit=max&redirects=1&prop=contributors|images&action=query&format=json

However both the contributors and images properties are limited and it's very possible and common that the contributors and images for a single page will exceed the limit resulting in an incomplete list and thus section for the book. The limit for page contributors and images is 500

To extract all the contributors accurately we would have to make at least max(i,c)/500 queries where i is the total number of images and c is the total number of contributors (across the book).

What shall we do about this?

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
InvalidNone
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedovasileva
Invalidovasileva
InvalidNone
Resolved dpatrick

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2017, 10:42 PM
phuedx added a subscriber: phuedx.Oct 10 2017, 9:25 AM

@Jdlrobson: Is Blocked the correct place for this?

ovasileva triaged this task as High priority.Oct 10 2017, 4:10 PM
phuedx renamed this task from How do we render contributors and images section of books accurately? to [Spike] How do we render contributors and images section of books accurately?.Oct 10 2017, 4:11 PM

Olga to work out if we have to do this and if so how we might solve this.

Jdlrobson moved this task from Incoming to Product Owner Backlog on the Readers-Web-Backlog board.
ovasileva closed this task as Invalid.Apr 9 2018, 2:48 PM

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.